/ api / name / begin_method_void
BEGIN_METHOD_VOID
Syntax

    #define BEGIN_METHOD_VOID ( name ) ...

Begins the implementation of a method that has no arguments.

- name is the name of the function, as specified in the class declaration.

### Examples

    BEGIN_METHOD_VOID(CARRAY_pop)
    ...
    END_METHOD

    ...

    PUBLIC GB_DESC NATIVE_StringArray[] =
    {
      GB_DECLARE("String[]", sizeof(CARRAY)), GB_INHERITS(".Array"),
      ...
      GB_METHOD("Pop", "s", CARRAY_pop, NULL),
      ...
      GB_END_DECLARE
    };

### See also

Methods Implementation